KDE 4.7 PyKDE API Reference

- KDE's Python API

# KPasteTextAction Class Reference

`from PyKDE4.kdeui import *`

Inherits: KAction → QWidgetAction → QAction → QObject

## Detailed Description

An action for pasting text from the clipboard. It's useful for text handling applications as when plugged into a toolbar it provides a menu with the clipboard history if klipper is running. If klipper is not running, the menu has only one item: the current clipboard content.

## Methods
| __init__ (self, QObject parent)
| __init__ (self, QString text, QObject parent)
| __init__ (self, KIcon icon, QString text, QObject parent)
| setMixedMode (self, bool mode)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Constructs an action with the specified parent.

Parameters:

  | parent | The parent of this action.

__init__ | ( | self, |
|  | QString | text,
|  | QObject | parent
| ) |  |  |

Constructs an action with text; a shortcut may be specified by the ampersand character (e.g. "&amp;Option" creates a shortcut with key O )

This is the most common KAction used when you do not have a corresponding icon (note that it won't appear in the current version of the "Edit ToolBar" dialog, because an action needs an icon to be plugged in a toolbar...).

Parameters:

  | text | The text that will be displayed.
  | parent | The parent of this action.

__init__ | ( | self, |
|  | KIcon | icon,
|  | QString | text,
|  | QObject | parent
| ) |  |  |

Constructs an action with text and an icon; a shortcut may be specified by the ampersand character (e.g. "&amp;Option" creates a shortcut with key O )

This is the other common KAction used. Use it when you do have a corresponding icon.

Parameters:

  | icon | The icon to display.
  | text | The text that will be displayed.
  | parent | The parent of this action.

setMixedMode | ( | self, |
|  | bool | mode
| ) |  |  |

Controls the behavior of the clipboard history menu popup.

Parameters:

  | mode | If false and the clipboard contains a non-text object the popup menu with the clipboard history will appear immediately as the user clicks the toolbar action; if true, the action works like the standard paste action even if the current clipboard object is not text. Default value is true.